Subject: Re: [Pce] changes in draft-sivabalan-pce-binding-label-sid-06

From: Jeff Tantsura <[email-masked]>
Date: Tue, 5 Feb 2019 10:34:23 -0800

Dear PCE,

The authors have published updated version that should address comments received on the list

Summary of Changes:
- Encoding changes to the TLV
- Support for SRv6 Binding Type
- Reference to PCECC based binding SID allocation (and appendix text moved to the PCECC I-D)

We believe the draft is ready for wg adoption and would like to request the chairs to start the adoption call.
Thanks!

Cheers,
Jeff

> From: Pce [mailto:[email-masked]] On Behalf Of Jeff Tantsura
> Sent: Wednesday, November 07, 2018 10:19 AM
> To: [email-masked]
> Subject: [Pce] Fwd: PCE-BSID Question to the List
>
> Dear PCE,
>
> Following our presentation in Bangkok, https://datatracker.ietf.org/meeting/103/materials/slides-103-pce-23-binding-segment-00.pdf
>
> The authors would like to ask the WG the following:
>
>
> (1) Do we link the Binding SID to the PCEP SR capability? Currently we
> can assign BSID for RSVP-TE LSP as well.
>
> [Zhibo]Yes, it is important, I could think of few use cases-> “domain stitching”,” solving MSD limits” and “interworking b/w MPLS and SRv6 domains” by PCE
>
>
> (2) Is WG happy with TE-PATH-BINDING TLV format?
>
> 0 1 2 3
> 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> | Type | Length |
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> | Binding Type (BT) | Binding Value |
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> ~ Binding Value (continued) (variable length) ~
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
> [Zhibo] I prefer the length of BT field is 8 bits, and adding 24 reserved bits for future features, such as flag or something else.
>
>        0                   1                   2                   3
>        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |             Type              |             Length            |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |      BT       |                 reserved                      |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       ~            Binding Value (variable length)                    ~
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
> This encoding of BSID is similar to BGP [https://tools.ietf.org/html/draft-ietf-idr-segment-routing-te-policy-05#section-2.4.2] that works for both SR-MPLS and SRv6.
> When length is 8, then the binding Value is a MPLS label, when length is 20, the binding value is a SRv6 SID.
>
>
> Figure 2: TE-PATH-BINDING TLV
>
> (3) Is there a use case for binding value as “index” in SRGB/SRLB?
> [Zhibo] I think there is no use case for binding value as “index” in SRLB, cause BSID may not be a global label.
>
>
> Thanks!
>
> Cheers,
> Jeff